-- MySQL Workbench Synchronization
-- Generated: 2020-05-31 19:09
-- Model: New Model
-- Version: 1.0
-- Project: Name of the project
-- Author: Yoshinori Osone

SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0;
SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='ONLY_FULL_GROUP_BY,STRICT_TRANS_TABLES,NO_ZERO_IN_DATE,NO_ZERO_DATE,ERROR_FOR_DIVISION_BY_ZERO,NO_ENGINE_SUBSTITUTION';

CREATE TABLE IF NOT EXISTS `weclikd`.`external_feed` (
  `id` BIGINT(20) UNSIGNED NOT NULL,
  `followers` INT(10) UNSIGNED NOT NULL DEFAULT 0,
  `data` JSON NOT NULL,
  `created` TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`))
ENGINE = InnoDB
DEFAULT CHARACTER SET = utf8mb4;

ALTER TABLE `weclikd`.`external_feed`
ADD COLUMN `name` VARCHAR(64) NOT NULL AFTER `followers`,
ADD UNIQUE INDEX `name_UNIQUE` (`name` ASC);
;

INSERT INTO weclikd.db_updates(sql_file) VALUES ('weclikd_update_0014.sql');


SET SQL_MODE=@OLD_SQL_MODE;
SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;
SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS;

